package net.sf.buildbox.util.props;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD,ElementType.TYPE})
public @interface BbxProperty {
    public abstract String name() default "";

    public abstract String defaultValue() default "";

    public abstract boolean required() default false;
}
