package net.sf.buildbox.util;

import org.codehaus.plexus.util.cli.CommandLineException;
import org.codehaus.plexus.util.cli.Commandline;

import java.util.Iterator;

/**
 * TODO: move this to module buildbox-utils
 * Originally, this was solved with this patch: https://github.com/pkozelka/plexus-utils/commit/8b07970dde4748fc157cd20718cfe916deb2d4d0
 */
public class BbxCommandline extends Commandline {

    @Override
    public String[] getEnvironmentVariables() throws CommandLineException {
        // here I just removed the call to addSystemEnvironment(); which makes no sense IMHO
        String[] environmentVars = new String[envVars.size()];
        int i = 0;
        for (Iterator iterator = envVars.keySet().iterator(); iterator.hasNext(); ) {
            String name = (String) iterator.next();
            String value = (String) envVars.get(name);
            environmentVars[i] = name + "=" + value;
            i++;
        }
        return environmentVars;
    }

}
